## diodon 1.6.0

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Oliver Sauder, 2010

import os
import random
import signal
import subprocess
import tempfile
import time
import traceback
from subprocess import PIPE, Popen

import Logs
import Options
from waflib.Build import BuildContext
from waflib.Tools import waf_unit_test

NAME = 'Diodon'
VERSION = '1.6.0'
APPNAME = 'diodon'
WEBSITE = 'https://launchpad.net/diodon'
COPYRIGHT = 'Copyright \xc2\xa9 2010-2014 Diodon Team'
BUSNAME = 'net.launchpad.Diodon'
BUSOBJECTPATH = '/net/launchpad/diodon'

VERSION_MAJOR_MINOR = '.'.join(VERSION.split('.')[0:2])
VERSION_MAJOR = '.'.join(VERSION.split('.')[0:1])
top = '.'
out = '_build_'


class CustomBuildContext(BuildContext):
    zeitgeist_process = None
    display_process = None


def options(opt):
    opt.tool_options('compiler_c')
    opt.tool_options('waf_unit_test')
    opt.tool_options('vala')
    opt.tool_options('gnu_dirs')
    opt.tool_options('intltool')
    opt.tool_options('glib2')
    opt.add_option('--update-po',                action='store_true', default=False, dest='update_po', help='Update localization files')
    opt.add_option('--debug',                    action='store_true', default=False, dest='debug',     help='Debug mode')
    opt.add_option('--disable-indicator-plugin', action='store_true', default=False, dest='disable_indicator', help='Disable build of indicator plugin')
    opt.add_option('--enable-unityscope',        action='store_true', default=False, dest='enable_unityscope', help='Enable build of unity scope')
    opt.add_option('--build-doc',                action='store_true', default=False, dest='doc', help='Build the api documentation')
    opt.add_option('--skiptests',                action='store_true', default=False, dest='skiptests', help='Skip unit tests')


def configure(conf):
    conf.load('compiler_c intltool gnu_dirs glib2 waf_unit_test')
    if Options.options.doc:
        conf.load('valadoc')

    conf.load('vala', funs='')
    conf.check_vala(min_version=(0, 26, 0))

    conf.check_cfg(package='gdk-3.0',           uselib_store='GDK',          atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gdk-x11-3.0',       uselib_store='GDKX',         atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gee-0.8',           uselib_store='GEE',          atleast_version='0.10.5',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='libpeas-1.0',       uselib_store='PEAS',         atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='libpeas-gtk-1.0',   uselib_store='PEASGTK',      atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gio-2.0',           uselib_store='GIO',          atleast_version='2.32.0', mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gio-unix-2.0',      uselib_store='GIOUNIX',      atleast_version='2.32.0', mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='glib-2.0',          uselib_store='GLIB',         atleast_version='2.32.0', mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='gtk+-3.0',          uselib_store='GTK',          atleast_version='3.10.0',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='xtst',              uselib_store='XTST',         atleast_version='1.2.0',  mandatory=1, args='--cflags --libs')
    conf.check_cfg(package='zeitgeist-2.0',     uselib_store='ZEITGEIST',    atleast_version='0.9.14', mandatory=1, args='--cflags --libs')

    conf.find_program('Xvfb', var='XVFB')

    # FIXME: waf throws up when assigning an empty string
    # we need a better way of configuring plugins which are enabled
    # by default anyway
    ACTIVE_PLUGINS = ' '
    # check if indicator plugin should be built
    conf.env['INDICATOR'] = not(Options.options.disable_indicator)
    if not(Options.options.disable_indicator):
        conf.check_cfg(package='appindicator3-0.1', uselib_store='APPINDICATOR', atleast_version='0.3.0',  mandatory=1, args='--cflags --libs')
        ACTIVE_PLUGINS = "'indicator'"

    # check if unity scope plugin should be built
    conf.env['UNITYSCOPE'] = Options.options.enable_unityscope
    if Options.options.enable_unityscope:
        conf.check_cfg(package='unity', uselib_store='UNITY', atleast_version='7.1.0', mandatory=1, args='--cflags --libs')

    # FIXME: conf.env and conf.define should not both be needed?
    conf.define('PACKAGE_NAME', APPNAME)
    conf.env['PACKAGE_NAME'] = APPNAME
    conf.define('ACTIVE_PLUGINS', ACTIVE_PLUGINS)
    conf.env['ACTIVE_PLUGINS'] = ACTIVE_PLUGINS
    conf.define('GETTEXT_PACKAGE', APPNAME)
    conf.env['GETTEXT_PACKAGE'] = APPNAME
    conf.define('VERSION', VERSION)
    conf.env['VERSION'] = VERSION
    conf.define('COPYRIGHT', COPYRIGHT)
    conf.define('WEBSITE', WEBSITE)
    conf.define('APPNAME', NAME)
    conf.define('BUSNAME', BUSNAME)
    conf.env['BUSNAME'] = BUSNAME
    conf.define('BUSOBJECTPATH', BUSOBJECTPATH)
    conf.env['BUSOBJECTPATH'] = BUSOBJECTPATH
    conf.define('SHAREDIR', os.path.join(conf.env['DATADIR'], APPNAME))
    conf.define('LIBDIR_DIODON', os.path.join(conf.env['LIBDIR'], APPNAME))
    conf.env['LIBDIR_DIODON'] = os.path.join(conf.env['LIBDIR'], APPNAME)
    conf.define('PLUGINS_DIR', os.path.join(conf.env['LIBDIR'], APPNAME, 'plugins'))
    conf.env['PLUGINS_DIR'] = os.path.join(conf.env['LIBDIR'], APPNAME, 'plugins')
    conf.define('PLUGINS_DATA_DIR', os.path.join(conf.env['DATADIR'], APPNAME, 'plugins'))
    conf.define('TEST_DATA_DIR', conf.path.abspath() + '/tests/data/')

    # set 'default' variant
    conf.define('DEBUG', 0)
    # honor preset CFLAGS env vars
    if not conf.env['CFLAGS']:
        conf.env['CFLAGS'] += ['-O2']
    # in any case we need to ignore warnings as C-code is generated
    conf.env['CFLAGS'] += ['-w']
    conf.env['VALAFLAGS'] = ['--disable-assert']

    # set some debug relevant config values
    if Options.options.debug:
        conf.define('DEBUG', 1)
        conf.env['CFLAGS'] += ['-O0', '-g3', '-w']
        conf.env['VALAFLAGS'] = ['-g', '-v', '--enable-checking']

    conf.write_config_header('config.h', remove=False)


def build(ctx):
    ctx.add_subdirs('po data libdiodon plugins diodon')

    if ctx.env['UNITYSCOPE']:
        ctx.add_subdirs('unity-scope-diodon')

    if not Options.options.skiptests:
        ctx.add_subdirs('tests')
        if ctx.cmd == 'build':
            ctx.add_pre_fun(setup_tests)
            ctx.add_post_fun(teardown_tests)

    if ctx.env['VALADOC']:
        ctx.add_subdirs('doc')
    ctx.add_post_fun(post)

    # to execute all tests:
    # $ waf --alltests
    # to set this behaviour permanenly:
    ctx.options.all_tests = True


def setup_tests(ctx):
    ctx.display_process = start_display(ctx)

    # only when integration tests are run does the zeitgeist service
    # need to be started
    if getattr(Options.options, 'testcmd', False):
        ctx.zeitgeist_process = start_zeitgeist_daemon(ctx)


def teardown_tests(ctx):
    stop_display(ctx)

    if ctx.zeitgeist_process:
        stop_zeitgeist_daemon(ctx.zeitgeist_process)

    # write test summary
    waf_unit_test.summary(ctx)

    # Ensure that all tests have passed, if not log errors
    lst = getattr(ctx, 'utest_results', [])
    if lst:
        tfail = len([x for x in lst if x[1]])
        if tfail:
            for (filename, returncode, stdout, stderr) in lst:
                Logs.warn(stdout)
                Logs.warn(stderr)

            ctx.fatal("Some test failed.")


def start_display(ctx):
    devnull = open("/dev/null", "w")
    display = ":%d" % random.randint(20, 100)
    display_process = Popen([ctx.env.get_flat('XVFB'), display, "-screen", "0", "1024x768x8"], stderr=devnull, stdout=devnull)
    # give the display some time to wake up
    time.sleep(1)
    err = display_process.poll()
    if err:
        raise RuntimeError("Could not start Xvfb on display %s, got err=%i" % (display, err))

    os.environ.update({"DISPLAY": display})
    return display_process


def stop_display(ctx):
    os.kill(ctx.display_process.pid, signal.SIGKILL)
    ctx.display_process.wait()


# TODO: is this really the best spot to start the zeitgeist daemon?
def start_zeitgeist_daemon(ctx):
    """
    start zeitgeist daemon writing to temporary data path
    """
    zg_env = os.environ.copy()
    datapath = tempfile.mkdtemp(prefix="zeitgeist.datapath.")
    zg_env.update({
        "ZEITGEIST_DATABASE_PATH": ":memory:",
        "ZEITGEIST_DATA_PATH": datapath,
        "XDG_CACHE_HOME": os.path.join(datapath, "cache"),
    })
    args = {'env': zg_env}
    args['stderr'] = PIPE
    args['stdout'] = PIPE
    zeitgeist_process = Popen(('zeitgeist-daemon', '--replace', '--no-datahub'), **args)

    # give the process some time to wake up
    time.sleep(1)

    # raise runtime error if process failed to start
    error = zeitgeist_process.poll()
    if error:
        error = "zeitgeist-daemon exits with error %i." % (error)
        raise RuntimeError(error)

    Logs.info("Started Zeitgeist Daemon with pid %u" % zeitgeist_process.pid)
    return zeitgeist_process


def stop_zeitgeist_daemon(zeitgeist_process):
    """
    Kill started test zeitgeist daemon
    """
    os.kill(zeitgeist_process.pid, signal.SIGKILL)
    zeitgeist_process.wait()
    Logs.info("Stopped Zeitgeist Daemon with pid %u" % zeitgeist_process.pid)


def post(ctx):
    if ctx.cmd == 'install':
        ctx.exec_command('/sbin/ldconfig')


def dist(ctx):
    # set the compression type to gzip (default is bz2)
    ctx.algo = "tar.gz"


def shutdown(self):
    if Options.options.update_po:
        os.chdir('./po')
        try:
            try:
                size_old = os.stat(APPNAME + '.pot').st_size
            except:
                size_old = 0
            subprocess.call(['intltool-update', '-p', '-g', APPNAME])
            size_new = os.stat(APPNAME + '.pot').st_size
            if size_new != size_old:
                Logs.info("Updated po template.")
                try:
                    command = 'intltool-update -r -g %s' % APPNAME
                    self.exec_command(command)
                    Logs.info("Updated translations.")
                except:
                    Logs.error("Failed to update translations.")
        except:
            traceback.print_exc(file=open("errlog.txt", "a"))
            Logs.error("Failed to generate po template.")
            Logs.errors("Make sure intltool is installed.")
        os.chdir('..')

=== debian/changelog ===
diodon (1.6.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable (LP: #1563435).  Remaining changes:
    - debian/{control, unity*, rules}:
      + Add Unity Scope plugin. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 17:23:34 +0200

diodon (1.6.0-1) unstable; urgency=medium

  * New upstream release 1.6.0 (Closes: #824965)
  * Remove usage of dbus-launch (Closes: #823055, #836087)
  * Remove dependency libunique3 (Closes: #827235)
  * Added DEB_BUILD_OPTIONS support
  * Fixed dep5-copyright-license-name-not-unique

 -- Oliver Sauder <os@esite.ch>  Sat, 19 Aug 2017 17:03:59 +0200

=== debian/control ===
Source: diodon
Section: utils
Priority: optional
Maintainer: Oliver Sauder <os@esite.ch>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               gobject-introspection,
               intltool,
               libappindicator3-dev (>= 0.3.0),
               libgee-0.8-dev (>= 0.10.5),
               libglib2.0-dev (>=2.32),
               libgtk-3-dev (>=3.0.8),
               libpeas-dev (>=1.1.1),
               libunity-dev (>= 5.8.0),
               libxtst-dev (>= 1.2.0),
               libzeitgeist-2.0-dev (>= 0.9.14),
               python,
               valac (>=0.26.0),
               xvfb
Standards-Version: 3.9.8
Homepage: https://launchpad.net/diodon

Package: diodon
Architecture: any
Depends: libdiodon0 (= ${binary:Version}),
         zeitgeist-core (>= 0.9.14),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: unity-scope-diodon (= ${binary:Version})
Description: GTK+ Clipboard manager
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.

Package: libdiodon0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ Clipboard manager (main library)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains the main library used by the Diodon. It is used both by
 the clipboard manager itself and by the plugins.
 .
 This library is only useful within Diodon. You should not have to
 manually install this package.

Package: gir1.2-diodon-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: gir1.2-gee-0.8 (>= 0.10.5),
         gir1.2-glib-2.0,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ Clipboard manager (GObject introspection data)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains introspection data for Diodon.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: diodon-dev
Architecture: any
Section: devel
Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
         libdiodon0 (= ${binary:Version}),
         libgee-0.8-dev (>= 0.10.5),
         libpeas-dev (>=1.1.1),
         ${misc:Depends}
Description: GTK+ Clipboard manager (development files)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 Diodon is also extensible through its plugin system.
 .
 This package is required to build plugins for Diodon.

Package: unity-scope-diodon
Architecture: any
Depends: diodon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ Clipboard manager (Unity Scope)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
 clipboard history.
 .
 This package contains an Unity Scope to access the clipboard history.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/waf.mk

DEB_WAF_CONFIGURE_OPTIONS_ALL = --sysconfdir /etc --enable-unityscope --libdir /usr/lib/$(DEB_HOST_MULTIARCH)

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	DEB_WAF_OPTIONS_ALL += --skiptests
endif

# remove pyc files created by waf while building
clean::
	find -name '*.pyc' -delete

# debhelper.mk targets, so silently ignored if debhelper.mk not included
$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	$(if $(wildcard /usr/bin/dh_icons),dh_icons -p$(cdbs_curpkg) $(DEB_DH_ICONS_ARGS))

## diodon 1.8.0

=== wscript ===
--- 
+++ 
@@ -17,10 +17,10 @@
 from waflib.Tools import waf_unit_test
 
 NAME = 'Diodon'
-VERSION = '1.6.0'
+VERSION = '1.8.0'
 APPNAME = 'diodon'
 WEBSITE = 'https://launchpad.net/diodon'
-COPYRIGHT = 'Copyright \xc2\xa9 2010-2014 Diodon Team'
+COPYRIGHT = 'Copyright \xc2\xa9 2010-2018 Diodon Team'
 BUSNAME = 'net.launchpad.Diodon'
 BUSOBJECTPATH = '/net/launchpad/diodon'
 
@@ -56,11 +56,10 @@
         conf.load('valadoc')
 
     conf.load('vala', funs='')
-    conf.check_vala(min_version=(0, 26, 0))
+    conf.check_vala(min_version=(0, 30, 0))
 
     conf.check_cfg(package='gdk-3.0',           uselib_store='GDK',          atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gdk-x11-3.0',       uselib_store='GDKX',         atleast_version='3.0.8',  mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='gee-0.8',           uselib_store='GEE',          atleast_version='0.10.5',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='libpeas-1.0',       uselib_store='PEAS',         atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='libpeas-gtk-1.0',   uselib_store='PEASGTK',      atleast_version='1.1.0',  mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0',           uselib_store='GIO',          atleast_version='2.32.0', mandatory=1, args='--cflags --libs')

=== debian/changelog ===
diodon (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove gee dependency (LP: #1745877)
  * Add support for valac 0.40 (Closes: #891628)
  * Set Section of libdiodon to libs
  * Set Section of diodon-dev to libdevel
  * Bump Standard Version to 4.1.3
  * Fix debian-watch-uses-insecure-uri
  * Use compat version 11

 -- Oliver Sauder <os@esite.ch>  Sun, 11 Mar 2018 20:37:08 +0100

diodon (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add initial Wayland support (LP: #1727042)
  * Workaround for hotkey not working on various DEs (LP: #1630375)
  * Support instante paste on XFCE4 Terminal (LP: #1707041)
  * Move from cdbs to dh calls
  * Bump Standard Version to 4.1.2
  * Use compat version 10

 -- Oliver Sauder <os@esite.ch>  Sat, 16 Dec 2017 19:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                gobject-introspection,
                intltool,
                libappindicator3-dev (>= 0.3.0),
-               libgee-0.8-dev (>= 0.10.5),
                libglib2.0-dev (>=2.32),
                libgtk-3-dev (>=3.0.8),
                libpeas-dev (>=1.1.1),
-               libunity-dev (>= 5.8.0),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
                python,
                valac (>=0.26.0),
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://launchpad.net/diodon
+Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
 
 Package: diodon
 Architecture: any
@@ -26,7 +24,6 @@
          zeitgeist-core (>= 0.9.14),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: unity-scope-diodon (= ${binary:Version})
 Description: GTK+ Clipboard manager
  Diodon is a lightweight clipboard manager for Linux written in Vala which
  "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
@@ -38,6 +35,7 @@
 Package: libdiodon0
 Architecture: any
 Multi-Arch: same
+Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GTK+ Clipboard manager (main library)
@@ -58,8 +56,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: gir1.2-gee-0.8 (>= 0.10.5),
-         gir1.2-glib-2.0,
+Depends: gir1.2-glib-2.0,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -78,10 +75,9 @@
 
 Package: diodon-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
          libdiodon0 (= ${binary:Version}),
-         libgee-0.8-dev (>= 0.10.5),
          libpeas-dev (>=1.1.1),
          ${misc:Depends}
 Description: GTK+ Clipboard manager (development files)
@@ -96,17 +92,3 @@
  .
  This package is required to build plugins for Diodon.
 
-Package: unity-scope-diodon
-Architecture: any
-Depends: diodon (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: GTK+ Clipboard manager (Unity Scope)
- Diodon is a lightweight clipboard manager for Linux written in Vala which
- "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
- .
- Diodon features include Ubuntu indicator, clipboard sync (primary selection
- and Ctrl+C / Ctrl+V clipboard) and a zeitgeist integration for an infinite
- clipboard history.
- .
- This package contains an Unity Scope to access the clipboard history.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAFFLAGS := --nocache --prefix=/usr
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	WAFFLAGS += --skiptests
endif

%:
	dh $@ --with python2

WAF=./waf

override_dh_auto_clean:
	$(WAF) distclean $(WAFFLAGS)
	rm -rf _build_
	find -name '*.pyc' -delete

override_dh_auto_configure:
	$(WAF) configure $(WAFFLAGS) --sysconfdir /etc --libdir /usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF) build $(WAFFLAGS)

override_dh_auto_install:
	$(WAF) install $(WAFFLAGS) --destdir debian/tmp

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/diodon/+download .*/diodon-([0-9.]+)\.tar\.gz

## diodon 1.9.0

=== debian/changelog ===
diodon (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Add support for valac 0.46 (Closes: #951924)
  * Replace waf with meson as build system (Closes: #936399, #943038)
  * Change Vcs to git
  * Update minimum build dependency versions
  * Bump Standard Version to 4.4.0

 -- Oliver Sauder <os@esite.ch>  Tue, 25 Feb 2020 20:01:12 +0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
 Build-Depends: debhelper (>= 11),
+               desktop-file-utils,
                gobject-introspection,
-               intltool,
                libappindicator3-dev (>= 0.3.0),
-               libglib2.0-dev (>=2.32),
-               libgtk-3-dev (>=3.0.8),
+               libglib2.0-dev (>=2.46),
+               libgtk-3-dev (>=3.10),
                libpeas-dev (>=1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
-               python,
-               valac (>=0.26.0),
+               meson (>= 0.45),
+               valac (>=0.40.0),
+               xauth,
                xvfb
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://launchpad.net/diodon
 Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
 
@@ -91,4 +92,3 @@
  Diodon is also extensible through its plugin system.
  .
  This package is required to build plugins for Diodon.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

## diodon 1.10.0

=== debian/changelog ===
diodon (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Ayatana AppIndicator (Closes: #956764)
  * Remove CPU intensive timer when using primary selection (Closes: #956008)
  * Update translations
  * Replace Vcs-Bzr link with Vcs-Git
  * Update minimum build dependency version of libgtk
  * Bump Standard Version to 4.5.0

 -- Oliver Sauder <os@esite.ch>  Wed, 03 Jun 2020 16:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gobject-introspection,
-               libappindicator3-dev (>= 0.3.0),
+               libayatana-appindicator3-dev (>=0.5.3),
                libglib2.0-dev (>=2.46),
-               libgtk-3-dev (>=3.10),
+               libgtk-3-dev (>=3.22),
                libpeas-dev (>=1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
@@ -15,9 +15,9 @@
                valac (>=0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://launchpad.net/diodon
-Vcs-Bzr: https://code.launchpad.net/~diodon-team/diodon/debian-packaging
+Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 
 Package: diodon
 Architecture: any

## diodon 1.11.0

=== meson_options.txt ===
option('disable-indicator-plugin', type : 'boolean', value : false, description : 'Disable build of indicator plugin')
option('enable-unity-scope', type : 'boolean', value : false, description : 'Disable build of indicator plugin')

=== debian/changelog ===
diodon (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Add Vcs-Browser link
  * Set Multi-Arch of package diodon-dev to same

 -- Oliver Sauder <os@esite.ch>  Mon, 05 Oct 2020 16:32:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: utils
 Priority: optional
 Maintainer: Oliver Sauder <os@esite.ch>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                gobject-introspection,
-               libayatana-appindicator3-dev (>=0.5.3),
-               libglib2.0-dev (>=2.46),
-               libgtk-3-dev (>=3.22),
-               libpeas-dev (>=1.1.1),
+               libayatana-appindicator3-dev (>= 0.5.3),
+               libglib2.0-dev (>= 2.46),
+               libgtk-3-dev (>= 3.22),
+               libpeas-dev (>= 1.1.1),
                libxtst-dev (>= 1.2.0),
                libzeitgeist-2.0-dev (>= 0.9.14),
                meson (>= 0.45),
-               valac (>=0.40.0),
+               valac (>= 0.40.0),
                xauth,
                xvfb
 Standards-Version: 4.5.0
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
+Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 
 Package: diodon
 Architecture: any
@@ -76,6 +77,7 @@
 
 Package: diodon-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
          libdiodon0 (= ${binary:Version}),

## diodon 1.11.1

=== debian/changelog ===
diodon (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed obsolete apport configuration files (Closes: #990435)
  * Properly handled previously renamed autostart config file (Closes: 990137)
  * Use dh gir addon to properly calcuate gir:Depends (Closes: 991081)
  * Bump Standard Version to 4.5.1

 -- Oliver Sauder <os@esite.ch>  Fri, 23 Jul 2021 22:00:54 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging
@@ -58,7 +58,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: gir1.2-glib-2.0,
+Depends: libdiodon0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## diodon 1.11.2

=== debian/changelog ===
diodon (1.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix custom-library-search-path
  * Removed invalid configure.in file (Closes: #997655)
  * Bump Standard-Version to 4.6.0

 -- Oliver Sauder <os@esite.ch>  Thu, 04 Nov 2021 22:46:18 +0400

## diodon 1.12.0

=== debian/changelog ===
diodon (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Avoid history being empty on first run (Closes: #961604)

 -- Oliver Sauder <os@esite.ch>  Thu, 03 Feb 2022 16:05:31 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/diodon/+download .*/diodon-([0-9.]+)\.tar\.xz

## diodon 1.13.0

=== debian/changelog ===
diodon (1.13.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:03:10 +0000

diodon (1.13.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:13:57 +0000

diodon (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Oliver Sauder <os@esite.ch>  Fri, 05 Aug 2022 16:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: diodon
 Section: utils
 Priority: optional
-Maintainer: Oliver Sauder <os@esite.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Oliver Sauder <os@esite.ch>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                gobject-introspection,
@@ -15,7 +16,7 @@
                valac (>= 0.40.0),
                xauth,
                xvfb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://launchpad.net/diodon
 Vcs-Git: https://git.launchpad.net/~diodon-team/+git/debian-packaging
 Vcs-Browser: https://git.launchpad.net/~diodon-team/+git/debian-packaging

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@ --buildsystem=meson --with gir
